## movit 1.1.1

=== debian/changelog ===
movit (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 12 Apr 2014 14:25:21 +0200

movit (1.1-2) unstable; urgency=high

  * urgency=high, fixed an RC bug.
  * Add Conflicts: libmovit1 to libmovit2, since they ship overlapping
    shader files. Longer term, maybe we would want to do something
    to allow keeping multiple versions around, but this is the simplest
    thing for now, especially with no reverse dependencies. (Closes: #744183)
  * Make libmovit2 Multi-Arch: same, so that e.g. i386 and amd64 versions
    can be coinstalled.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 12 Apr 2014 02:37:35 +0200

movit (1.1-1) unstable; urgency=medium

  * New upstream release.
    * Soname bump to libmovit2.
    * Changed build-dependency from libglew-dev to libepoxy-dev,
      in line with upstream requirements.
    * Changed build-dependency from libsdl1.2-dev to libsdl2-dev,
      as the former is probably going away, and upstream now supports
      the latter.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 10 Apr 2014 00:24:08 +0200

movit (1.0.3-1) unstable; urgency=medium

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 17 Mar 2014 00:14:23 +0100

## movit 1.1.2

=== Makefile ===
GTEST_DIR ?= /usr/src/gtest

# This will be upgraded for each release, although not necessarily for every git commit.
# See http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
# for the rules as of how this is changed. This does not really mean that Movit will
# strive towards having a rock-stable ABI, but at least the soversion will increase
# whenever it breaks, so that you will not have silent failures, and distribution package
# management can run its course.
movit_ltversion = 2:2:0
movit_version = 1.1.2

prefix = /usr/local
exec_prefix = ${prefix}
includedir = ${prefix}/include
libdir = ${exec_prefix}/lib
datarootdir = ${prefix}/share
datadir = ${datarootdir}
top_builddir = .
with_demo_app = yes
with_SDL2 = yes
with_coverage = no

CC=gcc
CXX=g++
CXXFLAGS=-Wall -g -O2 -fvisibility-inlines-hidden -I$(GTEST_DIR)/include -D_REENTRANT -I/usr/include/SDL2   -I/usr/include/eigen3  -I/usr/local/include  
ifeq ($(with_SDL2),yes)
CXXFLAGS += -DHAVE_SDL2
endif
LDFLAGS=
LDLIBS=-L/usr/local/lib -lepoxy  -lfftw3  -lpthread
TEST_LDLIBS=-L/usr/local/lib -lepoxy  -lSDL2   -lpthread
DEMO_LDLIBS=-lSDL2_image -lSDL2   -lrt -lpthread -lpng12  -lfftw3 
SHELL=/bin/bash
LIBTOOL=$(SHELL) $(top_builddir)/libtool --tag=CXX
RANLIB=ranlib
INSTALL=install
MKDIR=mkdir

ifeq ($(with_coverage),yes)
CXXFLAGS += -fprofile-arcs -ftest-coverage --coverage
LDFLAGS += -fprofile-arcs -ftest-coverage
LDLIBS += -lgcov
endif

DEMO_OBJS=demo.o

# Inputs.
TESTED_INPUTS = flat_input
TESTED_INPUTS += ycbcr_input

INPUTS = $(TESTED_INPUTS) $(UNTESTED_INPUTS)

# Effects.
TESTED_EFFECTS = lift_gamma_gain_effect
TESTED_EFFECTS += white_balance_effect
TESTED_EFFECTS += gamma_expansion_effect
TESTED_EFFECTS += gamma_compression_effect
TESTED_EFFECTS += colorspace_conversion_effect
TESTED_EFFECTS += alpha_multiplication_effect
TESTED_EFFECTS += alpha_division_effect
TESTED_EFFECTS += saturation_effect
TESTED_EFFECTS += blur_effect
TESTED_EFFECTS += diffusion_effect
TESTED_EFFECTS += glow_effect
TESTED_EFFECTS += unsharp_mask_effect
TESTED_EFFECTS += mix_effect
TESTED_EFFECTS += overlay_effect
TESTED_EFFECTS += padding_effect
TESTED_EFFECTS += resample_effect
TESTED_EFFECTS += dither_effect
TESTED_EFFECTS += deconvolution_sharpen_effect
TESTED_EFFECTS += fft_pass_effect
TESTED_EFFECTS += vignette_effect
TESTED_EFFECTS += slice_effect
TESTED_EFFECTS += complex_modulate_effect
TESTED_EFFECTS += luma_mix_effect
TESTED_EFFECTS += fft_convolution_effect

UNTESTED_EFFECTS = sandbox_effect
UNTESTED_EFFECTS += mirror_effect
UNTESTED_EFFECTS += resize_effect
UNTESTED_EFFECTS += multiply_effect
UNTESTED_EFFECTS += fft_input

EFFECTS = $(TESTED_EFFECTS) $(UNTESTED_EFFECTS)

# Unit tests.
TESTS=effect_chain_test fp16_test $(TESTED_INPUTS:=_test) $(TESTED_EFFECTS:=_test)

LIB_OBJS=effect_util.o util.o widgets.o effect.o effect_chain.o init.o resource_pool.o fp16.o $(INPUTS:=.o) $(EFFECTS:=.o)

# Default target:
all: libmovit.la $(TESTS)

ifeq ($(with_demo_app),yes)
all: demo
endif

# Google Test and other test library functions.
OWN_TEST_OBJS = gtest_sdl_main.o test_util.o
TEST_OBJS = gtest-all.o $(OWN_TEST_OBJS)

gtest-all.o: $(GTEST_DIR)/src/gtest-all.cc
	$(CXX) -MMD $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c $< -o $@
gtest_sdl_main.o: gtest_sdl_main.cpp
	$(CXX) -MMD $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c $< -o $@

# Unit tests.
$(TESTS): %: %.o $(TEST_OBJS) libmovit.la
	$(LIBTOOL) --mode=link $(CXX) $(LDFLAGS) -o $@ $^ $(TEST_LDLIBS)

OWN_OBJS=$(DEMO_OBJS) $(LIB_OBJS) $(OWN_TEST_OBJS) $(TESTS:=.o)
OBJS=$(DEMO_OBJS) $(LIB_OBJS) $(TEST_OBJS) $(TESTS:=.o)

# A small demo program.
demo: libmovit.la $(DEMO_OBJS)
	$(LIBTOOL) --mode=link $(CXX) $(LDFLAGS) -o demo $(DEMO_OBJS) libmovit.la $(LDLIBS) $(DEMO_LDLIBS)

# The library itself.
libmovit.la: $(LIB_OBJS:.o=.lo)
	$(LIBTOOL) --mode=link $(CXX) $(LDFLAGS) -rpath $(libdir) -version-info $(movit_ltversion) -o $@ $^ $(LDLIBS)

%.lo: %.cpp
	$(LIBTOOL) --mode=compile $(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<
	[ ! -r $(@:.lo=.d) ] || sed 's/\.o:/\.lo:/' < $(@:.lo=.d) > $(@:.lo=.ld)
	[ ! -r .libs/$(@:.lo=.d) ] || sed 's/\.o:/\.lo:/' < .libs/$(@:.lo=.d) > .libs/$(@:.lo=.ld)
%.o: %.cpp
	$(CXX) -MMD -MP $(CPPFLAGS) $(CXXFLAGS) -o $@ -c $<

DEPS=$(OBJS:.o=.d) $(OBJS:.o=.ld)
-include $(DEPS)

clean:
	$(LIBTOOL) --mode=clean $(RM) demo $(TESTS) libmovit.la $(OBJS) $(OBJS:.o=.lo)
	$(RM) $(OBJS:.o=.gcno) $(OBJS:.o=.gcda) $(DEPS) step*.dot chain*.frag
	$(RM) -r movit.info coverage/ .libs/

distclean: clean
	$(RM) Makefile movit.pc config.status config.log

check: $(TESTS)
	FAILED_TESTS=""; \
	for TEST in $(TESTS); do \
		./$$TEST || FAILED_TESTS="$$TEST $$FAILED_TESTS"; \
	done; \
	if [ "$$FAILED_TESTS" ]; then \
		echo Failed tests: $$FAILED_TESTS; \
		exit 1; \
	fi

ifeq ($(with_coverage),yes)
coverage: check
	lcov -d . -c -o movit.info
	lcov --remove movit.info '*_test.cpp' 'test_util.*' 'sandbox_effect.*' widgets.cpp -o movit.info
	genhtml -o coverage movit.info
else
coverage:
	@echo You need to compile with --enable-coverage to use this target.
	@exit 1
endif

HDRS = effect_chain.h effect_util.h effect.h input.h image_format.h init.h util.h defs.h resource_pool.h fp16.h
HDRS += $(INPUTS:=.h)
HDRS += $(EFFECTS:=.h)

SHADERS = vs.vert vs.130.vert vs.300es.vert
SHADERS += header.frag header.130.frag header.300es.frag
SHADERS += footer.frag footer.130.frag footer.300es.frag
SHADERS += texture1d.frag texture1d.130.frag texture1d.300es.frag
SHADERS += $(INPUTS:=.frag)
SHADERS += $(EFFECTS:=.frag)
SHADERS += highlight_cutoff_effect.frag
SHADERS += overlay_matte_effect.frag

# These purposefully do not exist.
MISSING_SHADERS = diffusion_effect.frag glow_effect.frag unsharp_mask_effect.frag resize_effect.frag
MISSING_SHADERS += fft_convolution_effect.frag fft_input.frag
SHADERS := $(filter-out $(MISSING_SHADERS),$(SHADERS))

install: libmovit.la
	$(MKDIR) -p $(DESTDIR)$(libdir)/
	$(LIBTOOL) --mode=install $(INSTALL) -m 0644 libmovit.la $(DESTDIR)$(libdir)/
	$(MKDIR) -p $(DESTDIR)$(includedir)/movit/
	$(INSTALL) -m 0644 $(HDRS) $(DESTDIR)$(includedir)/movit/
	$(MKDIR) -p $(DESTDIR)$(datadir)/movit/
	$(INSTALL) -m 0644 $(SHADERS) $(DESTDIR)$(datadir)/movit/
	$(MKDIR) -p $(DESTDIR)$(libdir)/pkgconfig/
	$(INSTALL) -m 644 movit.pc $(DESTDIR)$(libdir)/pkgconfig/

DISTDIR=movit-$(movit_version)
OTHER_DIST_FILES=add.frag autogen.sh blue.frag configure.ac d65.h identity.frag invert_effect.frag Makefile.in mipmap_needing_effect.frag movit.pc.in README NEWS test_util.h widgets.h

dist:
	$(MKDIR) $(DISTDIR)
	cp $(OWN_OBJS:.o=.cpp) $(DISTDIR)/
	cp $(HDRS) $(DISTDIR)/
	cp $(SHADERS) $(DISTDIR)/
	cp $(OTHER_DIST_FILES) $(DISTDIR)/
	( cd $(DISTDIR) && aclocal && libtoolize --install --copy && autoconf && $(RM) -r autom4te.cache/ )
	tar zcvvf ../$(DISTDIR).tar.gz $(DISTDIR)
	$(RM) -r $(DISTDIR)

.PHONY: coverage clean distclean check all install dist

=== debian/changelog ===
movit (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 12 Aug 2014 23:05:52 +0200

=== debian/control ===
Source: movit
Priority: optional
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 9.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
Standards-Version: 3.9.5
Section: libs
Homepage: http://movit.sesse.net/

Package: libmovit-dev
Section: libdevel
Architecture: any
Depends: libmovit2 (= ${binary:Version}), ${misc:Depends}
Description: GPU video filter library - development files
 Movit is a high-quality, high performance, open-source library for video
 filters. It uses the GPU present in almost any modern computer to
 accelerate computation of common filters and transitions, facilitating
 real-time HD video editing even on modest hardware.
 .
 This package contains the header files and static libraries.

Package: libmovit2
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmovit1
Multi-Arch: same
Description: GPU video filter library
 Movit is a high-quality, high performance, open-source library for video
 filters. It uses the GPU present in almost any modern computer to
 accelerate computation of common filters and transitions, facilitating
 real-time HD video editing even on modest hardware.

## movit 1.1.3

=== debian/changelog ===
movit (1.1.3-3) unstable; urgency=medium

  * _Really_ conflict with libmovit2; the conflict was
    mistakenly set on libmovit-dev instead of libmovit2v5.
    (Closes: #794910)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 08 Aug 2015 00:49:29 +0200

movit (1.1.3-2) unstable; urgency=medium

  * Change package name to libmovit2v5 for rebuild with g++-5.0 with the
    C++11 ABI; conflict with libmovit2. (Closes: #791205)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 03 Jul 2015 23:44:52 +0200

movit (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 29 Mar 2015 01:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit2 (= ${binary:Version}), ${misc:Depends}
+Depends: libmovit2v5 (= ${binary:Version}), ${misc:Depends}
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit2
+Package: libmovit2v5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1
+Conflicts: libmovit1, libmovit2
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video

## movit 1.3.1

=== debian/changelog ===
movit (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 15 Feb 2016 17:44:08 -0800

movit (1.3.0-3) unstable; urgency=low

  * Update debian/copyright to fix a small Lintian warning (crashing license
    names between two different formulations of GPL-2+).
  * Update Standards-Version to 3.9.6 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 08 Feb 2016 20:33:59 +0100

movit (1.3.0-2) unstable; urgency=medium

  * Add missing dependencies (referenced from the .pc file) to libmovit-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 01 Feb 2016 22:36:24 +0100

movit (1.3.0-1) unstable; urgency=medium

  * New upstream release.
    * Bump soname to libmovit4, as upstream changed sonames.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 31 Jan 2016 13:42:44 +0100

movit (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    * Bump soname to libmovit3, as upstream changed sonames.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Sep 2015 18:46:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://movit.sesse.net/
 
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit2v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libmovit4 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit2v5
+Package: libmovit4
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2
+Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video

## movit 1.3.2

=== debian/changelog ===
movit (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 23 Feb 2016 22:48:57 +0100

## movit 1.4.0

=== debian/changelog ===
movit (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    * Upstream soname bump, so bump package name to libmovit5.
      Conflict with libmovit4.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 05 Nov 2016 11:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit4 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
+Depends: libmovit5 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit4
+Package: libmovit5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3
+Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video

## movit 1.5.3

=== debian/changelog ===
movit (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 10 Aug 2017 18:02:10 +0200

movit (1.5.2-1) unstable; urgency=medium

  * New upstream release.
    * Upstream soname bump, so bump package name to libmovit7.
      Conflict with libmovit6.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 05 Jul 2017 09:45:06 +0200

movit (1.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Jun 2017 10:23:44 +0200

movit (1.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 May 2017 19:47:01 +0200

movit (1.5.0-1) experimental; urgency=medium

  * New upstream release.
    * Upstream soname bump, so bump package name to libmovit6.
      Conflict with libmovit5.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 21 Mar 2017 19:42:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit5 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
+Depends: libmovit7 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit5
+Package: libmovit7
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4
+Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video

## movit 1.6.1

=== debian/changelog ===
movit (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 31 Jan 2018 23:02:40 +0100

movit (1.6.0-1) unstable; urgency=medium

  * New upstream release
    * Upstream soname bump, so bump package name to libmovit8.
      Conflict with libmovit7.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jan 2018 00:13:05 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

version=1.0.2
major=1

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

build-indep:
build-arch: build
build:  config.status 
	dh_testdir
	$(MAKE)

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess libtool

	dh_clean 

binary-indep:
binary-arch:
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_makeshlibs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## movit 1.6.2

=== debian/changelog ===
movit (1.6.2-2) unstable; urgency=high

  * fix-temporary-texture-race-issue.diff: New patch backported from upstream
    git, fixes a threading issue where a thread could start reusing a temporary
    texture while it's still being used in rendering. (Closes: #930570)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 15 Jun 2019 20:08:45 +0200

movit (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Mar 2018 16:25:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit7 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
+Depends: libmovit8 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit7
+Package: libmovit8
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6
+Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6, libmovit7
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video

## movit 1.6.3

=== debian/changelog ===
movit (1.6.3-5) UNRELEASED; urgency=medium

  * update

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 19 May 2022 10:48:51 +0800

movit (1.6.3-5) unstable; urgency=medium

  * Source-only upload.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 23 Jan 2020 21:30:54 +0100

movit (1.6.3-4) unstable; urgency=medium

  * workaround-glsizeiptr-abi-change.diff: New patch, work around the fact
    that Mesa newly changed GLsizeiptr from int (ptrdiff_t) to long
    (khronos_ssize_t) on 32-bit platforms, causing different name mangling
    between builds. (Closes: #949264)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 23 Jan 2020 21:07:17 +0100

movit (1.6.3-3) unstable; urgency=medium

  * Source-only upload.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 19 Jul 2019 22:44:35 +0200

movit (1.6.3-2) unstable; urgency=medium

  * Stop running the unit tests on build; they are not stable on the buildds.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 07 Jul 2019 14:04:45 +0200

movit (1.6.3-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes (includes) fix-temporary-texture-race-issue.diff.
  * Move to compat version 10. 
    * Bump versioned Build-depends accordingly.
  * Move to using dh in debian/rules.
  * Run unit tests on build, running the test suite under a virtual X server.
    * Add Build-depends on xvfb and xauth.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 07 Jul 2019 10:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: movit
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
+Build-Depends: debhelper (>= 10.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://movit.sesse.net/

## movit 1.7.1

=== debian/changelog ===
movit (1.7.1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:56:00 +0200

movit (1.7.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes issue with embedded shaders failing on some shader compilers.
      (Closes: #1041711)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 01 Aug 2023 22:16:51 +0200

movit (1.7.0-1) unstable; urgency=medium

  * New upstream release.
    * Fixes compile error with newer Google Test. (Closes: #1041024)
    * No longer installs shaders, so Conflicts: with differently-versioned
      packages are no longer needed. (Closes: #917021)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 15 Jul 2023 17:42:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: movit
 Priority: optional
-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 10.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
 Standards-Version: 3.9.6
 Section: libs
@@ -23,7 +24,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6, libmovit7
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video

## movit 1.7.2

=== debian/changelog ===
movit (1.7.2-1) unstable; urgency=medium

  * New upstream release.
    * Fixes FTBFS with newer Google Test. (Closes: #1114211)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 06 Sep 2025 20:32:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: movit
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 10.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
 Standards-Version: 3.9.6
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_clean:
	dh_clean
	! [ -r libtool ] || rm libtool

# We could run tests here, but they require OpenGL, and Mesa's software rendering
# is frequently unstable or buggy (in particular with regard to accuracy) on
# many platforms. In particular, mips* and s390x fail some tests that pass fine on
# other platforms, and several platforms (ia64, riscv64, sparc64) don't even
# manage to put up a working context. Even worse, xvfb-run does not
# consistently manage to set up a valid device that SDL wants to use, so even amd64
# cannot run these tests stable on the buildds.
override_dh_auto_test:
